%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  FastCUB
%global packver   0.0.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.3
Release:          1%{?dist}%{?buildtag}
Summary:          Fast Estimation of CUB Models via Louis' Identity

License:          GPL-2 | GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.15.2
Requires:         R-core >= 2.15.2
BuildArch:        noarch
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-Formula 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-CUB 
Requires:         R-methods 
Requires:         R-CRAN-Formula 
Requires:         R-utils 
Requires:         R-CRAN-CUB 

%description
For ordinal rating data, consider the accelerated EM algorithm to estimate
and test models within the family of CUB models (where CUB stands for
Combination of a discrete Uniform and a shifted Binomial distributions).
The procedure is built upon Louis' identity for the observed information
matrix. Best-subset variable selection is then implemented since it
becomes more feasible from the computational point of view.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
